#!/usr/bin/env python
# coding: Shift_JIS

# ##############################

# ファイル名: preif.py
# 機能: 様々な表記のif文をc_reform.pyで定義したものと同じ表記に変換する．
# 関数: preif
# 著者名: 山本椋太，若林丈紘

# ##############################

#from parse import *
import re
import sys

# ##############################

# 関数名: preif
# 機能: 様々な表記のif文をc_reform.pyで定義したものと同じ表記に変換する．
# 引数
#   workFile1: 解析対象のcファイル
#   workFile2: 解析対象のcファイル

# ##############################

def preif(workFile1,workFile2):

    fi = open(workFile1)
    lines = fi.readlines()
    fi.close()

    fo = open(workFile2,'w')

    for line in lines:
        newline = line
        if re.match("if[ \t]*\(.+\).+;",line) or re.match("else if[ \t]*\(.+\).+;",line) :
            cond = line.split(")")[0] + ")"
            proc = line.split(")")[1]
            newline = cond + "\n{\n" + proc + "}\n"

        if re.match("else.+;",line) :
            cond = "else"
            proc = line.replace("else","")
            newline = cond + "\n{\n" + proc + "}\n"

        if re.match("\}.+else.*\{",line) :
            cond = line.replace("}","")
            newline = "}\n" + cond

        print (newline,end="",file=fo)


    fo.close()

if __name__ == '__main__':
    preif(sys.argv[1],sys.argv[2])
